# wstUsdcBridge

## Overview

The canonical bridge for `wstUsdc` that will be deployed on all networks.

## Contract API

### `bridgeWstUsdc`

```solidity
function bridgeWstUsdc(
    uint32 dstEid,
    bytes32 destinationAddress,
    uint256 wstUsdcAmount,
    LzSettings calldata settings
) external payable returns (LzBridgeReceipt memory bridgingReceipt)
```

Bridges `wstUsdc` to the destination chain, designated by its `dstEid`.

### `getStUsdc`

```solidity
function stUsdc() external view returns (address)
```

Returns the address of `stUsdc` .

### `getWstUsdc`

```solidity
function wstUsdc() external view returns (address)
```

Returns the address for `wstUsdc`.

### `getBridgeByEid`

```solidity
function bridgeByEid(uint32 eid) external view returns (address)
```

Returns the address of the `wstUsdc` bridge contract for the given endpoint Id, `eid`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/wstusdcbridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
